{namespace job=Drk\DrkJobboard\ViewHelpers}
<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
     xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers"
     f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
     xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
     data-namespace-typo3-fluid="true">

    <f:asset.css identifier="drk_calltoaction-flyout" href="EXT:drk_calltoaction/Resources/Public/Css/flyout.css"/>

<div class="c-flyout js-flyout">
    <div class="c-flyout__body js-toggle-visible is-in-viewport">
        <div class="c-flyout__content bg bg--blue">
            <div class="o-media o-media--stacked o-media--{data.image.originalResource.properties.extension}">
                <figure class="o-media__img">

                    <f:if condition="{files}">
                        <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}')}</f:variable>
                        <f:render partial="Copyright" arguments="{media: files.0}"/>
                        <img src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                             data-src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                             alt="{files.0.originalResource.alternative}"
                             title="{files.0.originalResource.title}"
                             {imageSize -> f:format.raw()}
                        class="lazyload"
                        />
                        <noscript>
                            <img src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                                 {imageSize -> f:format.raw()}
                            alt="{files.0.originalResource.alternative}"
                            title="{files.0.originalResource.title}" />
                        </noscript>
                    </f:if>
                </figure>
                <div class="o-media__body">
                    <span class="flyoutH4">{data.title}</span>
                    <f:format.html parseFuncTSPath="lib.parseFunc_RTE">{data.bodytext}</f:format.html>
                </div>
            </div>
        </div>
        <div class="{f:if(condition:'{data.link}', then:' c-flyout__foot--borderless', else: 'c-flyout__foot')}">
            <f:if condition="{data.link}">
                <f:link.typolink parameter="{data.link}" class="c-flyout__action">
                    <span class="c-flyout__action-text">{data.linktext}</span>
                </f:link.typolink>
            </f:if>
        </div>

    </div>
</div>
</div>
